fixed : use old iPad as an extra screen for your Mac (or PC)

Question :

Since we are working from home a lot (and the children are home schooling), and we have several old iPads and iPhones lying around gathering dust, we were wondering if it would be possible to use them as second screens on our Macs and Windows PCs to make our work and homework easier by being able to do this (and more) :

  • manage our music playlist (iTunes, Apple Music, Spotify) on our old iPad/iPhone whilst running  MS Office on our Mac/PC without switching apps
  • use our old iPad/iPhone’s touchscreen to put a signature under a PDF-document whilst typing it on our Mac/PC
  • use our old iPad/iPhone as a drawing tablet for our Mac/PC
  • videochat or view an online presentation onour Mac/PC whilst making notes on our old iPad/iPhone using a full-size keyboard (and easily swapping the two around when needed)

We noticed Apple has introduced this great feature called Sidecar that enables you to use your iPad (or iPhone) as a second screen for your Mac. But when I looked at the Sidecar requirements on the Apple website, I found that our older iPads/iPhones aren’t supported.

Is there any way to use Sidecar (or something similar) on our old iPads/iPhones ?

 

Answer :

Yes, even though you cannot use Sidecar on any unsupported iPad, iPhone or Mac, there is an alternative that works just as great for any old iPad (or iPhone) and is not limited to a Mac, but does support Windows PCs also… and best of all : it’s FREE.

This is ideal for working from home and home schooling since you can do all this (and more) :

  • manage your music playlist (iTunes, Apple Music, Spotify) on your iPad whilst running  MS Office on your Mac/PC without switching apps
  • use your iPad/iPhone’s touchscreen to put a signature under a PDF-document whilst typing it on your Mac/PC
  • use your iPad/iPhone as a drawing tablet for your Mac/PC
  • videochat or view an online presentation on my Mac/PC whilst making notes on my iPad/iPhone using a full-size keyboard (and easily swapping the two around when needed)

This FREE alternative for Apple Sidecar is Splashtop Wired XDisplay. It enables you to use any iPad/iPhone running iOS 7 or newer as a second or third (touch)screen for any Mac running OSX 10.9 Mavericks (or PC running Windows 7) or newer.

This means that all these iPhone / iPad / Mac models are supported :

  • iPhone 4 or newer
  • iPad 2 or newer
  • any iPad mini
  • any iPad Air
  • any iPad Pro
  • any aluminum iMac (iMac “Mid 2007” or newer)
  • any iMac Pro
  • Mac mini “Early 2009” or newer
  • Mac Pro “Early 2008” or newer
  • white MacBook “Early 2009” or newer
  • any aluminum MacBook
  • MacBook Air “Late 2008” or newer (2nd gen MacBook Air or newer)
  • MacBook Pro “Mid 2007” or newer

To install, do this :

  • install the Splashtop Wired XDisplay app on you Mac/PC
    • you can download Splashtop Wired XDisplay for Mac or Windows here
  • install iTunes on your PC if you have done so yet
    • you can download iTunes for Windows here
    • on a Mac you don’t need additional software for your iPad/iPhone to be recognized
  • install Splashtop Wired XDisplay on your iPad/iPhone
    • you can download Splashtop Wired XDisplay for iPhone here
    • you can download Splashtop Wired XDisplay for iPad here
  • then, plug your iPad/iPhone’s USB-cable into your Mac/PC
  • then run the Splashtop Wired XDisplay app on your Mac/PC
  • then run the Splashtop Wired XDisplay app on your iPad/iPhone
  • then goto the Settings on your Mac/PC, find the Screen Settings and arrange your screens the way you like
    • you can choose “Mirror Screen” to see exactly the same on your MAc/PC and your iPad/iPhone
    • you can choose “Extend Screen” to arrange the iPad/iPhone as an add-on for your desktop
    • if you already have a second screen attached to your Mac/PC, you can use your iPad/iPhone as an additional third screen also

That’s it !

enjoy 😉

fixed : installing macOS 10.15 Catalina on an unsupported Mac

Question :

I would like to get all Macs in my network on macOS 10.15 Catalina. I have some older models (like a MacBook Pro 13″ Late 2011, a white MacBook 13″ Late 2008 and a Mac mini Mid 2007) that are officially unsupported.

Is there any option to get macOS 10.15 Catalina running on unsupported Macs ?

 

Answer :

Yes, there is.

It is possible to install macOS 10.15 Catalina on various officially unsupported Macs using the Catalina Patcher by dosdude1.com :

http://dosdude1.com/catalina/

But before you do so, make sure that you :

  1. do not do this on your primary Mac !! as this is unsupported by Apple, do not do this on any Mac that is vital to you for your work or study !! using this software is not entirely hassle-free, only do this on Macs that are your secondary computer !!
  2. have a 16GB USB-stick that you can reformat for this
  3. have a stable internet connection (preferably an Ethernet-cable network connection to an internet modem with a high-speed internet connection)
  4. read this post : fixed : installer error 16GB USB-stick not large enough for 10GB Catalina Patcher
  5. and read this post : fixed : “Convert to APFS” option greyed out in Disk Utility (in Catalina Patcher)
  6. read the additional info on dosdude1.com
  7. follow the instruction video by dosdude1.com
  8. see if your Mac is listed as a ‘Catalina Patcher supported’ Mac before you even consider doing this

Shortlist of ‘Catalina Patcher supported’ Macs (see sosdude1.com for in-depth specs) :

  • any Mac released since 2009 ( iMac / Mac mini / Mac Pro / Xserve / MacBook / MacBook Air / MacBook Pro)
  • all desktop-Macs released in 2008 ( iMac / Mac Pro / Xserve )
  • most laptop-Macs released in 2008 :
    • all MacBook Pro models 2008 and newer
    • any aluminum-MacBook
    • nearly every MacBook Air ( any MacBook Air, except the ‘1st Generation’ / ‘Early 2008’ )
    • only the last generation white-MacBook ( Early 2009 )

…so, in your case :

  • yes, this Catalina Patcher can be used on a Late 2011 MacBook Pro
  • no, this Catalina Patcher cannot be used on a white-MacBook 13″ Late 2008, only on newer white-MacBook models
  • no, this Catalina Patcher cannot be used on a Mid 2007 Mac mini, only on newer Mac mini models

That’s it !

enjoy 😉

 

fixed : “Convert to APFS” option greyed out in Disk Utility (in Catalina Patcher)

Question :

I am trying to install macOS 10.15 Catalina on an unsupported MacBook Pro that I have lying around. I downloaded the Catalina Patcher from dodsude1.com and watched the instruction video. I am following the instruction video to the letter and everything seemed to work okay so far, but now I have to reformat my internal HD to APFS, using Disk Utility, I can’t do so because the “Convert to APFS” is greyed out…

What am I doing wrong ?

 

Answer :

Nothing maybe… is your MacBook (Pro/Air) already running macOS 10.13 High_Sierra ?

If your Mac is running macOS 10.13 High_Sierra, your disk format may already be APFS !

To check, in Disk Utility, select your internal disk in the list on the left and if in the middle, under the disk’s name, it says “APFS Volume • APFS”, your disk is already formatted as APFS… so in that case you can skip the ‘APFS formatting’ step and proceed with the next step of the instruction video…

If it doesn’t say “APFS Volume • APFS”, try the options lined out here :

https://iboysoft.com/mac-data-recovery/convert-to-apfs-option-not-available-or-greyed-out.html

 

That’s it !

enjoy 😉

fixed : install OSX 10.11 El_Capitan on unsupported Macs

Question :

I read somewhere that it is possible to install the latest version of OSX 10.10 Yosemite on my Mac, even though the official installer refuses to install.

Can you give me any directions ?

 

Answer :

Installing newer versions of OSX on slightly older Macs that do not meet the official system requirements can be done using MacPostFactor (MCPF).

MacPostFactor also supports installing OSX versions up to OSX 10.10 Yosemite on older Macs. And a new version that supports installing OSX 10.11 El_Capitan is in the works.

For more info (and downloads), go to the info page on MacRumors.com :

http://forums.macrumors.com/threads/os-x-yosemite-on-unsupported-macs-guide.1761432/

or see the (less readable) official page of the MacPostFactor team :

http://osxhackers.net/MCPF/

…in short :

!!! THIS IS FOR (RATHER) EXPERIENCED MAC-USERS ONLY, AND SHOULD NOT BE DONE ON YOUR ‘ONE AND ONLY’ MAC !!!

!! REMEMBER : DO FOLLOW THE COMPLETE INSTRUCTIONS THAT CAN BE FOUND HERE : MacPost Factor info page on MacRumors.com

…that should be it !

enjoy !

😉

Donate Button (MacManusNL)

fixed : install OSX 10.10 Yosemite on unsupported Macs

Question :

I read somewhere that it is possible to install the latest version of OSX 10.10 Yosemite on my Mac, even though the official installer refuses to install.

Can you give me any directions ?

 

Answer :

Installing newer versions of OSX on slightly older Macs that do not meet the official system requirements can be done using MacPostFactor (MCPF).

MacPostFactor (MCPF) also supports installing OSX versions up to OSX 10.10 Yosemite on older Macs. And a new version that supports installing OSX 10.11 El_Capitan is in the works.

For more info (and downloads), go to the info page on MacRumors.com :

http://forums.macrumors.com/threads/os-x-yosemite-on-unsupported-macs-guide.1761432/

or see the (less readable) official page of the MacPostFactor team :

http://osxhackers.net/MCPF/

…in short :

!!! THIS IS FOR (RATHER) EXPERIENCED MAC-USERS ONLY, AND SHOULD NOT BE DONE ON YOUR ‘ONE AND ONLY’ MAC !!!

!! REMEMBER : DO FOLLOW THE COMPLETE INSTRUCTIONS THAT CAN BE FOUND HERE : MacPost Factor info page on MacRumors.com

…that should be it !

enjoy !

😉

Donate Button (MacManusNL)

fixed : install OSX 10.8 Mountain Lion on unsupported Macs

Question :

I read somewhere that it is possible to install the latest version of OSX 10.8 Mountain Lion on my Mac, even though the official installer refuses to install.

Can you give me any directions ?

Answer :

Updated answer :

MLPostFactor has been succeeded/replaced by MacPostFactor, and is now being updated by a new crew of programmers. MacPostFactor also supports installing OSX versions up to OSX 10.10 Yosemite on older Macs. And a new version that supports installing OSX 10.11 El_Capitan is in the works.

For more info (and downloads), go to the info page on MacRumors.com :

http://forums.macrumors.com/threads/os-x-yosemite-on-unsupported-macs-guide.1761432/

 

Original answer :

Yes, thanks to the guys from MLPostFactor, it’s now possible to install OSX 10.8 Mountain Lion (even 10.8.4) on these older Intel-Macs :

Early 2006 (and newer) versions of the iMac and Mac mini

Late 2006 (and newer) versions of the Macbook, MacBook Pro, Mac Pro and Xserve

Early 2008 (and newer) versions or the Macbook Air

…and I must say : “(in my case) it runs smoother than MacOSX 10.7”, but there are a few downsides, especially these ones :

– regular OSX updates are disabled, you can only use a special OSX-update routine

– some (but very little) software is not compatible due to various reasons ; e.g. PhotoBooth, Little Snitch

– the SMB client is not working properly (the SMB server is), so file transfer is crippled

– it’s provided “as-is”, so no support from anyone (neither the developer nor me), and no guarantee it will fully or even partially work in your case (especially not if you do not strictly follow all of the directions !!)

…in short :

!!! THIS IS FOR (RATHER) EXPERIENCED MAC-USERS ONLY, AND SHOULD NOT BE DONE ON YOUR ‘ONE AND ONLY’ MAC !!!

What you need :

– one of the Intel-Macs mentioned above (running MacOSX 10.7 Lion and at least 2GB of RAM)

– an official version of the OSX 10.8 installer, (re)downloaded from the Mac App Store inside your Applications Folder (sorry, pirated versions don’t work…)

– the 32-bit MLPostFactor v3.0 installer-patcher (should be put inside your Applications folder also) you can download from here :

http://www.osxhackers.com/Download.html

or alternatively :

http://mac.softpedia.com/get/System-Utilities/MLPostFactor.shtml

– a full backup of your current harddrive running OSX 10.7 Lion and all your personal files (simply put : “a Time Machine backup of your Mac”)

– a partition of 8GB to create the patched OSX 10.8 installer on ; according to the official directions this should be a partition on your main harddisk called “Install”, but it turns out that ‘if you dare’ you can also use an 8GB USB-stick or an 8GB partition on an external USB- or FireWire-harddisk for this [simply put, MLPostFactor does what Lion DiskMaker does AND includes a patch that’s needed for older Intel-Macs]

– a partition of at least 10GB called “ML” to install the new (patched) OSX 10.8 Mountain Lion onto ; this is will to be your final, ‘new’ harddrive for your ‘old’ Mac… it turns out that ‘if you dare’ you can assign this to your current MacOSX 10.7 Lion harddrive [provided you have a good (TimeMachine) backup]

Exact directions on how to install can be found here :

http://www.osxhackers.com/Installation.html

…or the video that HackerWayne (one of the MLPostFactor developers) has issued :

http://www.youtube.com/watch?v=YqMgrPKfrqM

You should follow the step-by-step instructions above, but just to give a quick impression of the routine :

– make a Time Machine backup and make sure both the OSX 10.8 installer and MLPostFactor are in you Applications folder

– run MLPostFactor to create the patched installer (8GB) for OSX 10.8.4 (or an other version if you prefer that one for some reason…)

– reboot from the patched installer and install the patched OSX 10.8 onto (the desired partition of) the internal harddrive

– this will either end in an error or a white screen (seemingly ‘hung’)

– reboot from the patched installer and run MLPostFactor from there onto the partition you have just installed OSX 10.8 on (= your internal harddrive)

– then reboot from the fresh OSX 10.8 partition (= your internal harddrive)

– if you get a “WiFi: No Hardware Installed”-error, get the KextUtility for OSX 10.8 and install the Edited Atheros Kext for Lion*3

!! REMEMBER : DO FOLLOW THE COMPLETE INSTRUCTIONS THAT CAN BE FOUND HERE :

http://www.osxhackers.com/Installation.html

or the ‘official’ video :

http://www.youtube.com/watch?v=YqMgrPKfrqM

…that should be it !

enjoy !

😉

Donate Button (MacManusNL)